# TODO:
# - package perl modules
#
Summary:	Liboping library
Name:		liboping
Version:	1.6.2
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://verplant.org/liboping/files/%{name}-%{version}.tar.bz2
# Source0-md5:	64a6f31310093d2517cfe7f05aa011e0
URL:		http://verplant.org/liboping/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liboping is a C library to generate ICMP echo requests, better known
as "ping packets". It is intended for use in network monitoring
applications or applications that would otherwise need to fork ping(1)
frequently.

liboping was inspired by ping, libping (homepage vanished) and fping:
It differs from these existing solutions in that it can `ping'
multiple hosts in parallel using IPv4 or IPv6 transparently. Other
design principles were an object oriented interface, simplicity and
extensibility: Is simple because there are only a few interface
functions and no external dependencies. It's extensible since all
(internal) data is kept in "opaque data types", so the storage may
change or be extended without applications noticing it.

%package -n oping
Summary:	oping ICMP query tool
Group:		Applications/Networking

%description -n oping
Sample application, which demonstrates the liboping's abilities. It is
like ping, ping6, and fping rolled into one.

%package devel
Summary:	Header files for liboping library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liboping
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for liboping library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liboping.

%package static
Summary:	Static liboping library
Summary(pl.UTF-8):	Statyczna biblioteka liboping
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liboping library.

%description static -l pl.UTF-8
Statyczna biblioteka liboping.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files -n oping
%defattr(644,root,root,755)
%attr(4754,root,adm) %{_bindir}/oping
%{_mandir}/man8/*.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/oping.h
%{_mandir}/man3/*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liboping.git;a=log;h=master

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 040e089
- Up to 1.6.2

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 7653751
- Up to 1.6.1

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> baf174e
- Up to 1.6.0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b88aa23
- BR: autoconf, automake, libtool, perl-ExtUtils-MakeMaker

* Thu Nov 18 2010 Caleb Maclennan <caleb@alerque.com> 8ca46e2
- Up to 1.5.1

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 5ca809a
- Up to 1.5.0

* Mon Oct 18 2010 Caleb Maclennan <caleb@alerque.com> f238dd3
- Up to 1.4.0
- Adapterized

* Tue Sep 08 2009 Tomasz Pala <gotar@pld-linux.org> a067b66
- upgraded to 1.3.2, regenerate autocrap resources

* Sun Apr 05 2009 Tomasz Pala <gotar@pld-linux.org> 778890f
- upgraded to 1.1.2 (fixed SEGV),
- oping package doesn't require same EVR, only autogenerated lib depencency

* Tue Mar 24 2009 Paweł Gołaszewski <blues@pld-linux.org> 9271413
- 1.1.1

* Mon Mar 16 2009 Paweł Gołaszewski <blues@pld-linux.org> 1f0e227
- 1.1.0

* Tue Oct 28 2008 Paweł Gołaszewski <blues@pld-linux.org> a64faeb
- rel.3

* Thu Aug 21 2008 Paweł Gołaszewski <blues@pld-linux.org> b965257
- rel.2

* Fri May 23 2008 Paweł Gołaszewski <blues@pld-linux.org> 522f832
- initial

